GET /v1/classifications/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Classifications
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Classifications.get_versions("06d90883-6be9-4f7e-9475-753f10a95e94")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
classification_v1 = Classifications.get_specific_version(
"06d90883-6be9-4f7e-9475-753f10a95e94",
"0.1"
)
print(f"Original description: {classification_v1.description}")
import static org.openmetadata.sdk.fluent.Classifications.*;
// List all versions
var history = Classifications.getVersions("06d90883-6be9-4f7e-9475-753f10a95e94");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Classifications.getSpecificVersion(
"06d90883-6be9-4f7e-9475-753f10a95e94",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/classifications/06d90883-6be9-4f7e-9475-753f10a95e94/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/classifications/06d90883-6be9-4f7e-9475-753f10a95e94/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "classification",
"versions": [
"{\"id\":\"06d90883-6be9-4f7e-9475-753f10a95e94\",\"name\":\"Certification\",\"fullyQualifiedName\":\"Certification\",\"version\":0.2,\"description\":\"Updated description\",\"mutuallyExclusive\":true}",
"{\"id\":\"06d90883-6be9-4f7e-9475-753f10a95e94\",\"name\":\"Certification\",\"fullyQualifiedName\":\"Certification\",\"version\":0.1,\"description\":\"Certifying Data Asset will provide the users with a clear idea of...\",\"mutuallyExclusive\":true}"
]
}
Classification Versions
List and retrieve historical versions of a classification
GET
/
v1
/
classifications
/
{id}
/
versions
GET /v1/classifications/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Classifications
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Classifications.get_versions("06d90883-6be9-4f7e-9475-753f10a95e94")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
classification_v1 = Classifications.get_specific_version(
"06d90883-6be9-4f7e-9475-753f10a95e94",
"0.1"
)
print(f"Original description: {classification_v1.description}")
import static org.openmetadata.sdk.fluent.Classifications.*;
// List all versions
var history = Classifications.getVersions("06d90883-6be9-4f7e-9475-753f10a95e94");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Classifications.getSpecificVersion(
"06d90883-6be9-4f7e-9475-753f10a95e94",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/classifications/06d90883-6be9-4f7e-9475-753f10a95e94/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/classifications/06d90883-6be9-4f7e-9475-753f10a95e94/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "classification",
"versions": [
"{\"id\":\"06d90883-6be9-4f7e-9475-753f10a95e94\",\"name\":\"Certification\",\"fullyQualifiedName\":\"Certification\",\"version\":0.2,\"description\":\"Updated description\",\"mutuallyExclusive\":true}",
"{\"id\":\"06d90883-6be9-4f7e-9475-753f10a95e94\",\"name\":\"Certification\",\"fullyQualifiedName\":\"Certification\",\"version\":0.1,\"description\":\"Certifying Data Asset will provide the users with a clear idea of...\",\"mutuallyExclusive\":true}"
]
}
Classification Versions
Every change to a classification entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the classification.
Get Specific Version
UseGET /v1/classifications/{id}/versions/{version} to retrieve a specific version.
UUID of the classification.
Version number to retrieve (e.g.,
0.2).GET /v1/classifications/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Classifications
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Classifications.get_versions("06d90883-6be9-4f7e-9475-753f10a95e94")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
classification_v1 = Classifications.get_specific_version(
"06d90883-6be9-4f7e-9475-753f10a95e94",
"0.1"
)
print(f"Original description: {classification_v1.description}")
import static org.openmetadata.sdk.fluent.Classifications.*;
// List all versions
var history = Classifications.getVersions("06d90883-6be9-4f7e-9475-753f10a95e94");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Classifications.getSpecificVersion(
"06d90883-6be9-4f7e-9475-753f10a95e94",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/classifications/06d90883-6be9-4f7e-9475-753f10a95e94/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/classifications/06d90883-6be9-4f7e-9475-753f10a95e94/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "classification",
"versions": [
"{\"id\":\"06d90883-6be9-4f7e-9475-753f10a95e94\",\"name\":\"Certification\",\"fullyQualifiedName\":\"Certification\",\"version\":0.2,\"description\":\"Updated description\",\"mutuallyExclusive\":true}",
"{\"id\":\"06d90883-6be9-4f7e-9475-753f10a95e94\",\"name\":\"Certification\",\"fullyQualifiedName\":\"Certification\",\"version\":0.1,\"description\":\"Certifying Data Asset will provide the users with a clear idea of...\",\"mutuallyExclusive\":true}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full classification object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Classification or version does not exist |
Was this page helpful?
⌘I